Sunset Wikipedia Zero
Open, NormalPublic

Tokens
"Burninate" token, awarded by Liuxinyu970226."Burninate" token, awarded by Rxy."Burninate" token, awarded by MarcoAurelio."Goat" token, awarded by Krenair."Mountain of Wealth" token, awarded by Nemo_bis."100" token, awarded by Mahir256."Burninate" token, awarded by Peachey88."Party Time" token, awarded by Zoranzoki21.
Assigned To
Authored By
Reedy, Feb 19 2018

Description

Task for the sunsetting of Wikipedia Zero.

See also:
https://blog.wikimedia.org/2018/02/16/partnerships-new-approach/
https://medium.com/@refsrc/wikipedia-zero-which-provided-over-800-million-users-in-72-countries-with-access-to-wikipedia-at-ff3014a122e6

This includes:

  • Remove special Apache/appserver code for Zero
  • Remove special Varnish VCL code for Zero support – T213769: Zero VCL removal
    • Phabricator hacks (patch)
    • Carrier tagging
  • Remove general configuration
    • Disable ZeroBanner and ZeroPortal (patch)
    • Drop the Wikipedia Zero debug log channel (patch)
    • robots.php: Drop the special treatment for Wikipedia Zero (patch)
    • zerowiki: Stop whitelisting ZeroPortal to logged out users, no longer available (patch)
  • Un-deploy MediaWiki extensions:
    • Drop ZeroBanner and ZeroPortal from production (patch)
    • Stop configuring ZeroBanner and ZeroPortal, unused (patch)
    • Stop loading i18n for ZeroBanner and ZeroPortal, unused (patch)
  • Delete zerowiki
    • How-To: Delete a wiki (mw config, mw db, multiversion, apache, dns)
  • Hard-redirect .zero. domains to .m. and create a plan for their deprecation
  • T197528: Remove Wikipedia Zero from the iOS app
  • T213770: Remove Zero support in analytics
There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2018, 12:46 PM
Zoranzoki21 added a subscriber: Zoranzoki21.EditedFeb 19 2018, 1:05 PM

And this mean to I will get normal phabricator?

@Zoranzoki21: That is covered in T173537 and not here.

@Zoranzoki21: That is covered in T173537 and not here.

I have right to ask. Ok? This task made me happy because zero will end, and I will not have problems (I think it).

Legoktm changed the task status from Open to Stalled.Feb 19 2018, 6:22 PM
Krenair added a subscriber: Krenair.

[offtopic] @Zoranzoki21: You can ask what you want, but probably not in every place as every action creates notifications. Your question in T187716#3983274 provides no context what "normal Phabricator" is supposed to mean. Context for your personal issue is in T173537. Please stick to T173537 to discuss T173537.

Rxy awarded a token.Feb 21 2018, 11:36 AM
MarcoAurelio added a subscriber: MarcoAurelio.

(undo wrong workboard sorting)

Change 415772 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[operations/mediawiki-config@master] Remove wmf zero things

https://gerrit.wikimedia.org/r/415772

This isn't going to happen for many months.

Change 415772 abandoned by Jforrester:
Remove wmf zero things

Reason:
Not now.

https://gerrit.wikimedia.org/r/415772

Krinkle renamed this task from Undeploy Zero extensions and kill zerowiki to Sunset Wikipedia Zero (tracking).Mar 23 2018, 6:37 AM
Krinkle triaged this task as Low priority.
Krinkle updated the task description. (Show Details)
MaxSem changed the task status from Stalled to Open.Dec 12 2018, 11:43 PM
MaxSem added a subscriber: MaxSem.

Arise, o ticket! We have 3 weeks left, might as well start our preparations.

Cookie-licking this for the Infrastructure team.

Jdforrester-WMF renamed this task from Sunset Wikipedia Zero (tracking) to Sunset Wikipedia Zero.Dec 12 2018, 11:46 PM
Jdforrester-WMF updated the task description. (Show Details)

Change 479399 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/puppet@production] Revert "Block WP Zero users from accessing Phabricator uploads"

https://gerrit.wikimedia.org/r/479399

phuedx added a subscriber: phuedx.Dec 14 2018, 4:28 PM
LGoto raised the priority of this task from Low to Normal.
Jhernandez moved this task from Upcoming to Epics on the Reading-Infrastructure-Team-Backlog board.
Jhernandez added subscribers: JoeWalsh, Jhernandez.

@JoeWalsh Hey this is happening next quarter I believe. Just to keep in mind if there is anything apps specific we want to track or talk about.

Framawiki added a subscriber: DFoy.Dec 19 2018, 9:14 PM

It would be nice to have confirmation that the program is finished before removing everything in the following weeks. Who can we contact at the foundation to get the exact end date? Perhaps @DFoy can help with that?

This comment was removed by PlavorSeol.
DFoy added a comment.Thu, Jan 3, 5:19 PM

All Wikipedia Zero partners have been shut down - no banners are currently being served.

Dzahn added a subscriber: Dzahn.Thu, Jan 3, 11:34 PM

close everything on https://phabricator.wikimedia.org/tag/zero/ ? Should that be a check box above?

Reedy changed the status of subtask T197528: Remove Wikipedia Zero from the iOS app from Stalled to Open.Thu, Jan 3, 11:46 PM

Change 482492 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/puppet@production] Get rid of Zero landing support

https://gerrit.wikimedia.org/r/482492

MaxSem updated the task description. (Show Details)Sun, Jan 6, 9:56 AM

The above patch is the first thing we need to merge as it blocks removal of both carrier tagging and ZeroBanner.

Change 482493 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Remove mobilelanding.php

https://gerrit.wikimedia.org/r/482493

MaxSem updated the task description. (Show Details)Sun, Jan 6, 10:40 AM

Change 482492 merged by Giuseppe Lavagetto:
[operations/puppet@production] Get rid of Zero landing support

https://gerrit.wikimedia.org/r/482492

Dzahn added a comment.Tue, Jan 8, 8:42 PM

re: the last steps above for completely removing it, it seems "remove from DNS" (and maybe also "remove from Apache") are conflicting with the "Hard-redirect .zero. domains to .m." step after that. If we delete it we could not keep redirecting it.

MaxSem added a comment.Tue, Jan 8, 8:49 PM

We're still receiving a couple thousand requests per day on the zero subdomain, can't kill it just yet.

Dzahn added a comment.Tue, Jan 8, 8:50 PM

https://foundation.wikimedia.org/wiki/Wikipedia_Zero could benefit from an update that it has been closed.

Also noticed it is in a category called "Archival content to be exported to Meta-Wiki". So sounds like it should be moved to Meta.

Dzahn added a comment.Tue, Jan 8, 8:56 PM

We're still receiving a couple thousand requests per day on the zero subdomain, can't kill it just yet.

ACK, not planning to delete it.

I wonder what that means for changing robots.php (https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/482100/) or waiting with that.

https://foundation.wikimedia.org/wiki/Wikipedia_Zero could benefit from an update that it has been closed.

Disregard, it already has a comment that it's discontinued. The part about the Meta move stands though.

Change 482493 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove mobilelanding.php

https://gerrit.wikimedia.org/r/482493

Mentioned in SAL (#wikimedia-operations) [2019-01-09T01:04:31Z] <jforrester@deploy1001> Synchronized docroot/: T187716 Remove mobilelanding.php, no longer pointed to by Apache (duration: 00m 52s)

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF updated the task description. (Show Details)
Dzahn removed a subscriber: Dzahn.Mon, Jan 14, 11:05 PM